angular.module('admin')
.controller('ListPromotionController', function($scope, $window, $http){
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;
  $scope.promotion = [];

  $scope.inicio = function(){
    $scope.requestPromotion();
  };

  $scope.requestPromotion = function(){
    $http.get('../../api/seller/promotion/'+$scope.dock)
    .success(function(promo){
      $scope.promotion = promo;
      if($scope.promotion.length >= 3){        
        $('.newPromotion').addClass('invisible');
        $('.aviso').removeClass('invisible');
      }else{
        $('.newPromotion').removeClass('invisible');
        $('.aviso').addClass('invisible');
      }      
      
    })
    .error(function(err){
      $scope.mensagem = 'Você não tem Promoções';
    });
  };


  $scope.remove = function(p){
    if (confirm("Deseja excluir a Promoção?")) {
      $http.delete('../../api/seller/promotion/'+p.id)
      .success(function(){
        var id = $scope.promotion.indexOf(p);
        $scope.promotion.splice(id, 1);
        $scope.mensagem = "Promoção removida com sucesso!";
        $scope.inicio();
      })
      .error(function(err){
        $scope.mensagem = "Não foi possível remover a promoção";
      })
    }
  }

})
.controller('NewPromotionController', function($scope, $http, $window, $document){
  $scope.promo = {};
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  $($document).ready(function () {
    var estado = $('select');
    estado.change(function () {
        if (estado.val() == 'percentualFrete' || estado.val() == 'percentualCompra') {
          $('#percentage').removeClass('invisible');
          $('#money').addClass('invisible');
        }else if (estado.val() == 'nominalFrete' || estado.val() == 'nominalCompra') {
          $('#percentage').addClass('invisible');
          $('#money').removeClass('invisible');
        }else {
          $('#money').addClass('invisible');
          $('#percentage').addClass('invisible');
        }
    });
  });


  $scope.submeter = function(){
    if ($scope.formPromo.$valid) {

      $scope.promo.endday.setHours(24);

      $http.post('../../api/seller/promotion/'+$scope.dock, $scope.promo)
      .success(function(){
        $scope.promo = {};
        $scope.mensagem = 'Sucesso! Aguarde 15 minutos para validar o Cupom/Promoção no site.';
      })
      .error(function(err){
        $scope.mensagem = 'Não foi possível criar essa promoção! Por favor, verifique se o cupom e as datas estão corretas';
      });
    }
  }
});
